import java.io.Serializable;

import javax.ejb.Stateful;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

import org.jboss.logging.Logger;

@Named
@SessionScoped
@Stateful
public class WildflyRequestTest implements Serializable
{
	private static final long serialVersionUID = -1327678364457686157L;

	private static final Logger logger = Logger.getLogger(WildflyRequestTest.class);

	int requestCount = 0;

	public int getRequestCount()
	{
		return requestCount;
	}

	public void incrementRequestCount()
	{
		logger.info("Incrementing request count. Current value = " + requestCount);
		try
		{
			Thread.sleep(300);
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
		requestCount++;
	}
}
